POST
/api/v2/swaptokens/swapPOST /api/v2/swaptokens/swap
Authentication
Send your API key in the x-api-key header on every request.
Request body
application/json
| Field | Type | Required | Description |
|---|---|---|---|
| UserId | unknown | No | |
| TokenIn | string | No | |
| TokenOut | string | No | |
| AmountIn | string | No | |
| Slippage | unknown | No | |
| ChainIdIn | unknown | No | |
| ChainIdOut | unknown | No | |
| FromAddress | string | No | |
| ToAddress | string | No |
Responses
200 — OK
| Field | Type | Required | Description |
|---|---|---|---|
| Transaction | CrossCurveTxResponse | No | |
| Route | CrossCurveRoute | No | |
| TransactionId | unknown | No |
Example request
curl -X POST "https://{base_url}/api/v2/swaptokens/swap" \
-H "x-api-key: YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{}'This page is generated from the live OpenAPI specification and always matches the current API.